#ifndef __gtkjoy_h
#define __gtkjoy_h

#include <gtk/gtk.h>

#define AXIS_MAX	32767
#define AXIS_MIN	-32768

#define JOYSTICK_MAXA	16
#define JOYSTICK_MAXB	16

typedef void (*joystick_callback)(gint, gint, gpointer); 
	
struct JoyData {
	int joystickfd;
	int version;
	int num_axis;
	int num_buttons;
	char * device_name;
	joystick_callback callback;
	gpointer callback_data;
	gint gdktag;
	int axis[JOYSTICK_MAXA]; 
	int buttons[JOYSTICK_MAXB]; 
};

JoyData * joystick_new(char * joystick, void * owner, void * data);
void joystick_close(JoyData *joydata);

#endif
